aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJosephArmas <armas.joseph98@gmail.com>2024-05-22 13:41:48 -0700
committerJosephArmas <armas.joseph98@gmail.com>2024-05-22 13:41:48 -0700
commit40fb30c13b3e0e80174066b7ccf2dd88fe2a9666 (patch)
tree6f913590ffd0ff7fc16a6b5bf58ffdd6dd916eb4
parent0054b0b766d62112c4b096b61f8777a402bff08a (diff)
feat: Add rofi calculator using qalc command. Result of expression is automatically saved to clipboard. Default keybinding set to mod + alt + c.
-rw-r--r--config/hypr/configs/Keybinds.conf1
-rwxr-xr-xconfig/hypr/scripts/RofiCalc.sh21
-rw-r--r--config/rofi/config-calc.rasi7
3 files changed, 29 insertions, 0 deletions
diff --git a/config/hypr/configs/Keybinds.conf b/config/hypr/configs/Keybinds.conf
index 142de86a..bd6e0a9f 100644
--- a/config/hypr/configs/Keybinds.conf
+++ b/config/hypr/configs/Keybinds.conf
@@ -23,6 +23,7 @@ bind = CTRL ALT, P, exec, $scriptsDir/Wlogout.sh
bind = $mainMod, H, exec, $scriptsDir/KeyHints.sh # Small help file
bind = $mainMod ALT, R, exec, $scriptsDir/Refresh.sh # Refresh waybar, swaync, rofi
bind = $mainMod ALT, E, exec, $scriptsDir/RofiEmoji.sh # emoji
+bind = $mainMod ALT, C, exec, $scriptsDir/RofiEmoji.sh # calculator
bind = $mainMod, S, exec, $scriptsDir/RofiSearch.sh # Google search from Rofi
bind = $mainMod SHIFT, B, exec, $scriptsDir/ChangeBlur.sh # Toggle blur settings
bind = $mainMod SHIFT, G, exec, $scriptsDir/GameMode.sh # animations ON/OFF
diff --git a/config/hypr/scripts/RofiCalc.sh b/config/hypr/scripts/RofiCalc.sh
new file mode 100755
index 00000000..3589525f
--- /dev/null
+++ b/config/hypr/scripts/RofiCalc.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+rofi_config="$HOME/.config/rofi/config-calc.rasi"
+
+
+while true; do
+ result=$(
+ rofi -i -dmenu \
+ -config "$rofi_config" \
+ -mesg "$result = $calc_result"
+ )
+
+ if [ $? -ne 0 ]; then
+ exit
+ fi
+
+ if [ -n "$result" ]; then
+ calc_result=$(qalc -t "$result")
+ echo "$calc_result" | wl-copy
+ fi
+done
diff --git a/config/rofi/config-calc.rasi b/config/rofi/config-calc.rasi
new file mode 100644
index 00000000..4c7cad2e
--- /dev/null
+++ b/config/rofi/config-calc.rasi
@@ -0,0 +1,7 @@
+@import "~/.config/rofi/config-long.rasi"
+
+/* ---- Entry ---- */
+entry {
+ width: 45%;
+ placeholder: "🧮 Calculate";
+}
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage